Subject: Re: linux-next: manual merge of the risc-v tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 6 Feb 2023 09:43:48 +1100

Hi all,

On Mon, 6 Feb 2023 09:40:03 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the risc-v tree got a conflict in:
> 
>   arch/riscv/include/asm/hwcap.h
> 
> between commit:
> 
>   0b1d60d6dd9e ("riscv: Fix build with CONFIG_CC_OPTIMIZE_FOR_SIZE=y")
> 
> from Linus' tree and commits:
> 
>   80c200b34ee8 ("RISC-V: resort all extensions in consistent orders")
>   d8a3d8a75206 ("riscv: hwcap: make ISA extension ids can be used in asm")
>   bdda5d554e43 ("riscv: introduce riscv_has_extension_[un]likely()")
>   03966594e117 ("riscv: remove riscv_isa_ext_keys[] array and related usage")
> 
> from the risc-v tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
                 ^^^^^^^^^
Actually, the latter commits supercede the former one, so I just used
the latter version.

> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

-- 
Cheers,
Stephen Rothwell